Quassel IRC - Bug #1388

CTCP TIME reply is ambiguous
11/01/2015 11:40 AM - wink

Status: Resolved Start date: 11/01/2015
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.11-pre 0S: Any
Description

As Quassel (any version probably) doesn't add the time zone to the CTCP TIME reply, the info is useless and/or wrong.
Example:

User AAA, CET, Windows:

Received CTCP-TIME answer from AAA: Sun Nov 1 10:32:57 2015

(this is in fact UTC, as it's 11:3x currently)

should be: "Sun Nov 1 11:32:57 2015 CET" or "Sun Nov 1 10:32:57 2015 GMT/UTC" (but TZ can be hard on Windows)

User BBB, GMT, Linux:
Received CTCP-TIME answer from BBB: Sun Nov 1 10:29:37 2015
(correct, but missing "GMT" as well)

User CCC, CST, Linux:
Received CTCP-TIME answer from digitalcircuit: Sun Nov 1 04:28:35 2015
(correct, but missing "CST")

TLDR:
On Windows, UTC time without TZ name is returned.
On Linux, local time without TZ name is returned.

Related code: https://github.com/quassel/quassel/blob/master/src/core/coresessioneventprocessor.cpp#L 1083

History

#1 - 11/02/2015 05:51 PM - wink

Correction:

What | wrote for AAA is probably wrong, if the core is running on a machine that is UTC, then it's UTC (without a tz identifier), if the core runs on a
local time, it is set to that local tz (without identifier).

#2 - 09/15/2018 12:42 AM - digitalcircuit

This should fixed in Quassel 0.13 master as of commit {27435c3d1b2793718e483449c7d6a62eebcac8e. Take a look at the pull request for more
example output.

—*— digitalcircuit sending CTCP-TIME request to dcircuit_dev
* Received CTCP-TIME answer from dcircuit_dev: 2018-09-12 16:25:06-05:00

Local timezone.

—*- digitalcircuit sending CTICP-VERSION request to dcircuit_dev

* Received CTCP-VERSION answer from dcircuit_dev: Quassel IRC v0.13-rcl (0.13-rcl+59 git-7a878bd) (version dat
e 2018-09-10 23:46:55Z) -- https://www.quassel-irc.org

VERSION replies use UTC to stay uniform regardless of timezone of the Quassel core.

(It was actually fixed much earlier, this is just the most recent change to formatting.)

#3 - 09/15/2018 03:46 AM - genius3000

- Status changed from New to Resolved

- Target version set to 0.13.0
https://github.com/quassel/quassel/blob/master/src/core/coresessioneventprocessor.cpp#L1083
https://github.com/quassel/quassel/commit/f27435c3d1b2793718e483449c7d6a62ee6cac8e
https://github.com/quassel/quassel/pull/430

- % Done changed from 0 to 100

See note above from digitalcircuit; fixed in 0.13.

07/21/2025 22


http://www.tcpdf.org

